Subject: Re: bug#17215: Acknowledgement (Build failure)

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Apr 2014 09:19:57 -0400

>>> Good question.  The reason is largely histerical, where it was
>>> convenient to still have a partly usable Emacs.  Nowadays, many more
>>> people build their Emacs from trunk without having the technical
>>> knowledge to detect and handle this problem, so it's probably better to
>>> just abort.
>> I fail to see how an Emacs that segfaults during the build can be
>> considered usable to a degree making sense.

I don't know why it segfaults in the current situation, but usually it
works "just fine", modulo never reclaiming memory.
More specifically, such an Emacs should usually have no trouble
compiling a few .el files (tho the memory growth usually prevents such
an Emacs from recompiling all the .el files).

        Stefan